Create a visual changeset for a Contextual Bandit
POST
/
v1
/
contextual-bandits
/
{id}
/
visual-changesets
cURL
curl -X POST 'https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets"
payload = {
"editorUrl": "<string>",
"urlPatterns": [
{
"pattern": "<string>",
"include": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({editorUrl: '<string>', urlPatterns: [{pattern: '<string>', include: true}]})
};
fetch('https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'editorUrl' => '<string>',
'urlPatterns' => [
[
'pattern' => '<string>',
'include' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets"
payload := strings.NewReader("{\n \"editorUrl\": \"<string>\",\n \"urlPatterns\": [\n {\n \"pattern\": \"<string>\",\n \"include\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"editorUrl\": \"<string>\",\n \"urlPatterns\": [\n {\n \"pattern\": \"<string>\",\n \"include\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"editorUrl\": \"<string>\",\n \"urlPatterns\": [\n {\n \"pattern\": \"<string>\",\n \"include\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"visualChangeset": {
"urlPatterns": [
{
"type": "simple",
"pattern": "<string>",
"include": true
}
],
"editorUrl": "<string>",
"visualChanges": [
{
"variation": "<string>",
"domMutations": [
{
"selector": "<string>",
"action": "append",
"attribute": "<string>",
"value": "<string>",
"parentSelector": "<string>",
"insertBeforeSelector": "<string>"
}
],
"description": "<string>",
"css": "<string>",
"js": "<string>"
}
],
"id": "<string>",
"experiment": "<string>",
"contextualBandit": "<string>"
}
}{
"confirmation": {
"id": "<string>",
"status": "pending",
"actions": [
{
"action": "feature.create",
"environments": [
"<string>"
]
}
],
"summary": "<string>",
"url": "<string>",
"expiresAt": "<string>",
"response": {
"status": 123,
"body": "<unknown>"
},
"note": "<string>"
},
"message": "<string>"
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Path Parameters
The Contextual Bandit id
Body
application/json
Response
Resource created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets"
payload = {
"editorUrl": "<string>",
"urlPatterns": [
{
"pattern": "<string>",
"include": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({editorUrl: '<string>', urlPatterns: [{pattern: '<string>', include: true}]})
};
fetch('https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'editorUrl' => '<string>',
'urlPatterns' => [
[
'pattern' => '<string>',
'include' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets"
payload := strings.NewReader("{\n \"editorUrl\": \"<string>\",\n \"urlPatterns\": [\n {\n \"pattern\": \"<string>\",\n \"include\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"editorUrl\": \"<string>\",\n \"urlPatterns\": [\n {\n \"pattern\": \"<string>\",\n \"include\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.growthbook.io/api/v1/contextual-bandits/{id}/visual-changesets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"editorUrl\": \"<string>\",\n \"urlPatterns\": [\n {\n \"pattern\": \"<string>\",\n \"include\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"visualChangeset": {
"urlPatterns": [
{
"type": "simple",
"pattern": "<string>",
"include": true
}
],
"editorUrl": "<string>",
"visualChanges": [
{
"variation": "<string>",
"domMutations": [
{
"selector": "<string>",
"action": "append",
"attribute": "<string>",
"value": "<string>",
"parentSelector": "<string>",
"insertBeforeSelector": "<string>"
}
],
"description": "<string>",
"css": "<string>",
"js": "<string>"
}
],
"id": "<string>",
"experiment": "<string>",
"contextualBandit": "<string>"
}
}{
"confirmation": {
"id": "<string>",
"status": "pending",
"actions": [
{
"action": "feature.create",
"environments": [
"<string>"
]
}
],
"summary": "<string>",
"url": "<string>",
"expiresAt": "<string>",
"response": {
"status": 123,
"body": "<unknown>"
},
"note": "<string>"
},
"message": "<string>"
}
